### Function

# GLib datalist_get_flags

since: 2.8

#### Declaration

    guint
    g_datalist_get_flags (
      GData** datalist
    )

#### Description

Gets flags values packed in together with the datalist. See g_datalist_set_flags().

Available since: 2.8

#### Parameters

`datalist`

  Type: `GData`

  Pointer to the location that holds a list.

  The data is owned by the caller of the function.

#### Return value

Type: `guint`

The flags of the datalist.